Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class ConsoleListener

    java.lang.Object
      org.jboss.cache.ConsoleListener

All Implemented Interfaces:
  TreeCacheListener

public class ConsoleListener
extends Object
implements TreeCacheListener

This class provides a non-graphical view of JBossCache replication events for a replicated cache.

It can be utilized as a standalone application or as a component in other applications.

WARNING: take care when using this class in conjunction with transactionally replicated cache's as it can cause deadlock situations due to the reading of values for nodes in the cache.

Author:
  Jimmy Wilson 12-2004

Constructor Summary
`ConsoleListener(TreeCache cache)` Constructor.
`ConsoleListener(TreeCache cache, boolean startCache, boolean stopCache)` Constructor.

Method Summary
`void` | `cacheStarted(TreeCache cache)` Called when the cache is started.
`void` | `cacheStopped(TreeCache cache)` Called when the cache is stopped.
`void` | `listen()` Instructs this class to listen for cache replication events.
`void` | `listen(boolean wait)` Instructs this class to listen for cache replication events.
`static void` | `main(String[] args)` The main method.
`void` | `nodeCreated(Fqn fqn)` Called when a node is created
`void` | `nodeEvicted(Fqn fqn)` Called when a node is evicted (not the same as remove()).
`void` | `nodeLoaded(Fqn fqn)` Called when a node is loaded into memory via the CacheLoader.
`void` | `nodeModified(Fqn fqn)` Called when a node is modified, e.g., one (key, value) pair in the internal map storage has been modified.
`void` | `nodeRemoved(Fqn fqn)` Called when a node is removed.
`void` | `nodeVisited(Fqn fqn)` Called when a node is visisted, i.e., get().
`void` | `viewChange(org.jgroups.View new_view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleListener

    public ConsoleListener(TreeCache cache)
                    throws Exception

  Constructor.

  When using this constructor, this class with attempt to start and stop the specified cache.

Parameters:
  `cache` - the cache to monitor for replication events.

### ConsoleListener

    public ConsoleListener(TreeCache cache,
                           boolean startCache,
                           boolean stopCache)
                    throws Exception

  Constructor.

Parameters:
  `cache` - the cache to monitor for replication events.
  `startCache` - indicates whether or not the cache should be started by this class.
  `stopCache` - indicates whether or not the cache should be stopped by this class.

Method Detail

### listen

    public void listen()
                throws Exception

  Instructs this class to listen for cache replication events.

  This method waits indefinately. Use the notify method of this class (using traditional Java thread notification semantics) to cause this method to return.

  Throws:
    `Exception`

### listen

    public void listen(boolean wait)
                throws Exception

  Instructs this class to listen for cache replication events.

  Parameters:
    `wait` - whether or not this method should wait indefinately.

    If this parameter is set to `true`, using the notify method of this class (using traditional Java thread notification semantics) will cause this method to return.

  Throws:
    `Exception`

### cacheStarted

    public void cacheStarted(TreeCache cache)

  Description copied from interface: `TreeCacheListener`
  Called when the cache is started.

  Specified by:
    `cacheStarted` in interface `TreeCacheListener`
  Parameters:
    `cache` -

### cacheStopped

    public void cacheStopped(TreeCache cache)

  Description copied from interface: `TreeCacheListener`
  Called when the cache is stopped.

  Specified by:
    `cacheStopped` in interface `TreeCacheListener`
  Parameters:
    `cache` -

### nodeCreated

    public void nodeCreated(Fqn fqn)

  Description copied from interface: `TreeCacheListener`
  Called when a node is created

  Specified by:
    `nodeCreated` in interface `TreeCacheListener`
  Parameters:
    `fqn` -

### nodeEvicted

    public void nodeEvicted(Fqn fqn)

  Description copied from interface: `TreeCacheListener`
  Called when a node is evicted (not the same as remove()).

  Specified by:
    `nodeEvicted` in interface `TreeCacheListener`
  Parameters:
    `fqn` -

### nodeLoaded

    public void nodeLoaded(Fqn fqn)

  Description copied from interface: `TreeCacheListener`
  Called when a node is loaded into memory via the CacheLoader. This is not the same as `TreeCacheListener.nodeCreated(Fqn)`.

  Specified by:
    `nodeLoaded` in interface `TreeCacheListener`

### nodeModified

    public void nodeModified(Fqn fqn)

  Description copied from interface: `TreeCacheListener`
  Called when a node is modified, e.g., one (key, value) pair in the internal map storage has been modified.

  Specified by:
    `nodeModified` in interface `TreeCacheListener`
  Parameters:
    `fqn` -

### nodeRemoved

    public void nodeRemoved(Fqn fqn)

  Description copied from interface: `TreeCacheListener`
  Called when a node is removed.

  Specified by:
    `nodeRemoved` in interface `TreeCacheListener`
  Parameters:
    `fqn` -

### nodeVisited

    public void nodeVisited(Fqn fqn)

  Description copied from interface: `TreeCacheListener`
  Called when a node is visisted, i.e., get().

  Specified by:
    `nodeVisited` in interface `TreeCacheListener`
  Parameters:
    `fqn` -

### viewChange

    public void viewChange(org.jgroups.View new_view)

  Specified by:
    `viewChange` in interface `TreeCacheListener`

### main

    public static void main(String[] args)

  The main method.

  Parameters:
    `args` - command line arguments dictated by convention.

    The first command line argument is the name of the `JBossCache` configuration file to be utilized for configuration of the cache. Only the name of the configuration file is necessary as it is read off of the classpath.

    If a configuration file is not specified on the command line, `jboss-cache.xml` will be the assumed file name.

    All command line arguments after the first are ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.